%define _localstatedir %{_var}

Name:           prelude-lml
Version:        1.0.1
Release:        %mkrel 3
Summary:        Prelude Hybrid Intrusion Detection System - Log Analyzer Sensor
License:        GPLv2+
Group:          Networking/Other
URL:            http://www.prelude-ids.org/
Source0:        http://www.prelude-ids.org/download/releases/%name/prelude-lml-%{version}.tar.gz
Source5:        prelude-lml.init
Patch0:		libprelude-1.0.0-Fix-building-with-glibc-2.16.6.patch
Requires(post): rpm-helper
Requires(preun): rpm-helper
BuildRequires:  chrpath
BuildRequires:  libgnutls-devel
BuildRequires:  libpcre-devel
BuildRequires:  prelude-devel
Obsoletes:      prelude-nids < %{version}-%{release}
Provides:       prelude-nids = %{version}-%{release}

%description
The Prelude Log Monitoring Lackey (LML) is the host-based sensor program part
of the Prelude Hybrid IDS suite. It can act as a centralized log collector for
local or remote systems, or as a simple log analyzer (such as swatch). It can
run as a network server listening on a syslog port or analyze log files. It
supports logfiles in the BSD syslog format and is able to analyze any logfile
by using the PCRE library. It can apply logfile-specific analysis through
plugins such as PAX. It can send an alert to the Prelude Manager when a
suspicious log entry is detected. 

%package        devel
Summary:        Libraries, includes, etc. to develop Prelude Log Analyzer Sensor
Group:          Development/C
Requires:       %{name} = %{version}

%description    devel
The Prelude Log Monitoring Lackey (LML) is the host-based sensor program part
of the Prelude Hybrid IDS suite. It can act as a centralized log collector for
local or remote systems, or as a simple log analyzer (such as swatch). It can
run as a network server listening on a syslog port or analyze log files. It
supports logfiles in the BSD syslog format and is able to analyze any logfile
by using the PCRE library. It can apply logfile-specific analysis through
plugins such as PAX. It can send an alert to the Prelude Manager when a
suspicious log entry is detected. 
The devel headers.

%prep
%setup -q
%patch0 -p1
%{__perl} -pi -e 's|/var/log/apache2|%{_logdir}/httpd|g' prelude-lml.conf.in

%build
%{configure2_5x} \
    --bindir=%{_sbindir} \
    --enable-shared \
    --disable-static \
    --disable-unsupported-rulesets \
    --with-libprelude-prefix=%{_prefix}
%{make}

%install
%{__mkdir_p} %{buildroot}%{_localstatedir}/%{name}

%{makeinstall_std}

find %{buildroot} -name '*.la' -delete

%{__mkdir_p} %{buildroot}%{_localstatedir}/lib/%{name}

%{__mkdir_p} %{buildroot}%{_initrddir}
%{__cp} -a %{SOURCE5} %{buildroot}%{_initrddir}/%{name}

%{_bindir}/chrpath -d %{buildroot}%{_sbindir}/prelude-lml

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%files
%doc AUTHORS COPYING ChangeLog HACKING.README NEWS README
%attr(0755,root,root) %{_sbindir}/%{name}
%attr(0755,root,root) %{_initrddir}/%{name}
%dir %{_libdir}/%{name}
%attr(0755,root,root) %{_libdir}/%{name}/*.so
%dir %{_localstatedir}/lib/%{name}
%dir %{_sysconfdir}/%{name}
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/%{name}/*.rules
%attr(0640,root,root) %config(noreplace) %{_sysconfdir}/%{name}/*.conf
%dir %{_sysconfdir}/%{name}/ruleset
%config(noreplace) %{_sysconfdir}/%{name}/ruleset/*.rules

%files devel
%doc AUTHORS COPYING ChangeLog HACKING.README NEWS README
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.0.1-3.mga3
+ Revision: 378203
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Dec 01 2012 fwang <fwang> 1.0.1-2.mga3
+ Revision: 323834
- rebuild for new pcre

* Mon Sep 17 2012 fwang <fwang> 1.0.1-1.mga3
+ Revision: 294790
- disable unsupported ruleset
- fix build with latest glibc
- disable static
- new version 1.0.1

* Sun Apr 29 2012 colin <colin> 1.0.0-3.mga2
+ Revision: 234253
- Add LSB headers to initscripts (mga#5262)

* Sun Mar 06 2011 ennael <ennael> 1.0.0-2.mga1
+ Revision: 65644
- imported package prelude-lml

